Name:           perl-Pod-Markdown
Version:        3.300
Release:        1
Summary:        Convert POD text to Markdown
License:        GPL+ and Artistic
URL:            https://metacpan.org/release/Pod-Markdown
Source0:        https://cpan.metacpan.org/authors/id/R/RW/RWSTAUNER/Pod-Markdown-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(Encode) perl(parent) perl(Pod::Simple) >= 3.27
BuildRequires:  perl(Pod::Simple::Methody) perl(Exporter) perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions) perl(File::Temp) perl(IO::Handle) perl(IPC::Open3)
BuildRequires:  perl(lib) perl(Symbol) perl(Test::More) >= 0.88 perl(utf8) perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This program uses Pod::Markdown to convert POD into Markdown sources.

%package_help

%prep
%autosetup -n Pod-Markdown-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{?_with_check:1}%{!?_with_check:0}
make test
%endif

%files
%license LICENSE
%{perl_vendorlib}/*
%{_bindir}/*

%files help
%doc Changes README
%{_mandir}/man[13]/*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.300-1
- Upgrade to version 3.300

* Mon Nov 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.101-2
- Package init
